UNPKG

sjursen-digital-watchtower

Version:

A TypeScript Node.js SDK for Watchtower, an Intelligence as a Service (IaaS) platform that uses Google's Gemini AI model to transform traditional logging into an active intelligence system with predictive analytics and automated decision-making capabiliti

35 lines (34 loc) 1.68 kB
import { BaseEndpoint } from '../base'; import { GetMetricsRequest, GetMetricsResponse, GetAppMetadataRequest, GetAppMetadataResponse, GetTenantMetadataRequest, GetTenantMetadataResponse } from './types'; export declare class MetricsEndpoint extends BaseEndpoint { constructor(client: any); private validateRequiredKeys; private validateAppKeys; /** * Get metrics for a specific tenant * @param data - The get metrics request parameters * @returns Promise with the metrics response * @throws {InvalidRequestError} If required fields are missing * @throws {AuthenticationError} If API keys are invalid * @throws {ServerError} If server encounters an error */ getMetrics(data: GetMetricsRequest): Promise<GetMetricsResponse>; /** * Get metadata for a specific app * @param data - The get app metadata request parameters * @returns Promise with the app metadata response * @throws {InvalidRequestError} If required fields are missing * @throws {AuthenticationError} If API keys are invalid * @throws {ServerError} If server encounters an error */ getAppMetadata(data: GetAppMetadataRequest): Promise<GetAppMetadataResponse>; /** * Get metadata for a specific tenant * @param data - The get tenant metadata request parameters * @returns Promise with the tenant metadata response * @throws {InvalidRequestError} If required fields are missing * @throws {AuthenticationError} If API keys are invalid * @throws {ServerError} If server encounters an error */ getTenantMetadata(data: GetTenantMetadataRequest): Promise<GetTenantMetadataResponse>; }